USE [期日前当日投票_STD]


GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON

/* 以下で新規作成するテーブルは下記の通り:
    _di_異動変換
    _di_選挙ID変換
    _di_選挙人名簿情報
    _di_投票所マスタ
    _di_投票情報
    _di_選挙マスタ
*/

/* _di_異動変換 */
GO
CREATE TABLE [dbo].[_di_異動変換](
	[ID] [nvarchar](5) NOT NULL,
	[CodeSTD] [nvarchar](255) NOT NULL,
	[CodePKG] [nvarchar](20) NULL,
	[異動事由種別] [int] NULL,
	[異動日ID] [int] NULL,
	[CodeI] [tinyint] NULL,
	[DataI] [smallint] NULL,
	[DataD] [datetime] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL,
 CONSTRAINT [PK_di_異動変換] PRIMARY KEY CLUSTERED 
(
	[ID] ASC,
	[CodeSTD] ASC
)
) ON [PRIMARY]


/* _di_選挙ID変換 */
GO
CREATE TABLE [dbo].[_di_選挙ID変換](
	[ID] [smallint] NOT NULL,
	[名簿区分] [varchar](14) NULL,
	[選挙投票コード] [varchar](1000) NULL,
	[投票日] [char](10) NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
) ON [PRIMARY]

/* _di_選挙人名簿情報 */
GO
CREATE TABLE [dbo].[_di_選挙人名簿情報](
	[市区町村コード] [varchar](1000) NULL,
	[選挙区コード] [varchar](1000) NULL,
	[投票区コード] [varchar](1000) NULL,
	[簿冊番号] [varchar](1000) NULL,
	[名簿頁番号] [varchar](1000) NULL,
	[名簿行番号] [varchar](1000) NULL,
	[選挙期日] [varchar](1000) NULL,
	[最新フラグ] [varchar](1000) NULL,
	[指定都市_行政区等コード] [varchar](1000) NULL,
	[選挙投票コード] [varchar](1000) NULL,
	[選挙投票コード２] [varchar](1000) NULL,
	[選挙投票コード３] [varchar](1000) NULL,
	[選挙投票コード４] [varchar](1000) NULL,
	[選挙投票コード５] [varchar](1000) NULL,
	[選挙投票コード６] [varchar](1000) NULL,
	[選挙投票コード７] [varchar](1000) NULL,
	[選挙投票コード８] [varchar](1000) NULL,
	[選挙投票コード９] [varchar](1000) NULL,
	[宛名番号] [varchar](1000) NULL,
	[名簿番号] [varchar](1000) NULL,
	[状態区分] [varchar](1000) NULL,
	[資格照合コード] [varchar](1000) NULL,
	[氏名] [nvarchar](1000) NULL,
	[氏_日本人] [nvarchar](1000) NULL,
	[名_日本人] [nvarchar](1000) NULL,
	[氏名_振り仮名] [nvarchar](1000) NULL,
	[氏_日本人_振り仮名] [nvarchar](1000) NULL,
	[名_日本人_振り仮名] [nvarchar](1000) NULL,
	[性別] [varchar](1000) NULL,
	[性別表記] [nvarchar](1000) NULL,
	[生年月日_元号] [varchar](1000) NULL,
	[生年月日] [varchar](1000) NULL,
	[生年月日_不詳フラグ] [varchar](1000) NULL,
	[生年月日_不詳表記] [nvarchar](1000) NULL,
	[住所_市区町村コード] [varchar](1000) NULL,
	[住所_町字コード] [varchar](1000) NULL,
	[住所_都道府県] [nvarchar](1000) NULL,
	[住所_市区郡町村名] [nvarchar](1000) NULL,
	[住所_町字] [nvarchar](1000) NULL,
	[住所_番地号表記] [nvarchar](1000) NULL,
	[住所_方書コード] [varchar](1000) NULL,
	[住所_方書] [nvarchar](1000) NULL,
	[住所_方書_フリガナ] [nvarchar](1000) NULL,
	[住所_郵便番号] [varchar](1000) NULL,
	[登録日] [varchar](1000) NULL,
	[異動年月日] [varchar](1000) NULL,
	[異動年月日_不詳フラグ] [varchar](1000) NULL,
	[異動年月日_不詳表記] [nvarchar](1000) NULL,
	[異動届出年月日] [varchar](1000) NULL,
	[異動事由] [varchar](1000) NULL,
	[選挙人名簿異動事由] [varchar](1000) NULL,
	[選挙人名簿異動年月日] [varchar](1000) NULL,
	[転出先住所_確定_市区町村コード] [varchar](1000) NULL,
	[転出先住所_確定_町字コード] [varchar](1000) NULL,
	[転出先住所_確定_都道府県] [nvarchar](1000) NULL,
	[転出先住所_確定_市区郡町村名] [nvarchar](1000) NULL,
	[転出先住所_確定_町字] [nvarchar](1000) NULL,
	[転出先住所_確定_番地号表記] [nvarchar](1000) NULL,
	[転出先住所_確定_方書] [nvarchar](1000) NULL,
	[転出先住所_確定_郵便番号] [varchar](1000) NULL,
	[二重登録通知_転入届出年月日] [varchar](1000) NULL,
	[二重登録通知_登録日_予定日] [varchar](1000) NULL,
	[二重登録通知_通知受領フラグ] [varchar](1000) NULL,
	[二重登録照会_移転先の名簿登録有無] [varchar](1000) NULL,
	[二重登録照会_転入届出年月日] [varchar](1000) NULL,
	[二重登録照会_登録日] [varchar](1000) NULL,
	[二重登録照会_備考] [nvarchar](1000) NULL,
	[支援措置期間中コード] [varchar](1000) NULL,
	[失権者フラグ] [varchar](1000) NULL,
	[復権予定日] [varchar](1000) NULL,
	[特定資格登録者] [varchar](1000) NULL,
	[交付日] [varchar](1000) NULL,
	[使用媒体コード] [varchar](1000) NULL,
	[削除フラグ] [varchar](1000) NULL,
	[操作者ID] [varchar](1000) NULL,
	[操作年月日] [varchar](1000) NULL,
	[操作時刻] [varchar](1000) NULL,
	[rownum] [int] IDENTITY(1,1) NOT NULL
) ON [PRIMARY]

/* _di_投票所マスタ */
GO
CREATE TABLE [dbo].[_di_投票所マスタ](
	[市区町村コード] [varchar](1000) NULL,
	[投票区コード] [varchar](1000) NULL,
	[投票所コード] [varchar](1000) NULL,
	[最新フラグ] [varchar](1000) NULL,
	[指定都市_行政区等コード] [varchar](1000) NULL,
	[投票所名] [nvarchar](1000) NULL,
	[期日前投票所フラグ] [varchar](1000) NULL,
	[共通投票所フラグ] [varchar](1000) NULL,
	[投票所住所_市区町村コード] [varchar](1000) NULL,
	[投票所住所_町字コード] [varchar](1000) NULL,
	[投票所住所_都道府県] [nvarchar](1000) NULL,
	[投票所住所_市区郡町村名] [nvarchar](1000) NULL,
	[投票所住所_町字] [nvarchar](1000) NULL,
	[投票所住所_番地号表記] [nvarchar](1000) NULL,
	[投票所住所_方書] [nvarchar](1000) NULL,
	[投票所電話番号] [varchar](1000) NULL,
	[投票所案内図データ] [varchar](1000) NULL,
	[投票所案内図データ_イメージデータパス] [varchar](1000) NULL,
	[投票開始時刻] [varchar](1000) NULL,
	[投票終了時刻] [varchar](1000) NULL,
	[指定投票区] [varchar](1000) NULL,
	[繰上投票_該当有無] [varchar](1000) NULL,
	[繰上投票_投票日] [varchar](1000) NULL,
	[削除フラグ] [varchar](1000) NULL,
	[操作者ID] [varchar](1000) NULL,
	[操作年月日] [varchar](1000) NULL,
	[操作時刻] [varchar](1000) NULL,
	[rownum] [int] IDENTITY(1,1) NOT NULL
) ON [PRIMARY]

/* _di_投票情報 */
GO
CREATE TABLE [dbo].[_di_投票情報](
	[市区町村コード] [varchar](1000) NULL,
	[選挙区コード] [varchar](1000) NULL,
	[投票区コード] [varchar](1000) NULL,
	[簿冊番号] [varchar](1000) NULL,
	[名簿頁番号] [varchar](1000) NULL,
	[名簿行番号] [varchar](1000) NULL,
	[選挙期日] [varchar](1000) NULL,
	[選挙投票コード] [varchar](1000) NULL,
	[最新フラグ] [varchar](1000) NULL,
	[指定都市_行政区等コード] [varchar](1000) NULL,
	[資格照合コード] [varchar](1000) NULL,
	[投票状態] [varchar](1000) NULL,
	[投票所コード] [varchar](1000) NULL,
	[不在者投票_請求日] [varchar](1000) NULL,
	[不在者投票_請求方法] [varchar](1000) NULL,
	[不在者投票_交付日] [varchar](1000) NULL,
	[不在者投票_返還の有無] [varchar](1000) NULL,
	[不在者投票_受理日] [varchar](1000) NULL,
	[期日前投票_投票日] [varchar](1000) NULL,
	[削除フラグ] [varchar](1000) NULL,
	[操作者ID] [varchar](1000) NULL,
	[操作年月日] [varchar](1000) NULL,
	[操作時刻] [varchar](1000) NULL,
	[rownum] [int] IDENTITY(1,1) NOT NULL
) ON [PRIMARY]

/* _di_選挙マスタ */
GO
CREATE TABLE [dbo].[_di_選挙マスタ](
	[市区町村コード] [varchar](1000) NULL,
	[選挙投票コード] [varchar](1000) NULL,
	[最新フラグ] [varchar](1000) NULL,
	[選挙投票名称] [nvarchar](1000) NULL,
	[選挙種別] [varchar](1000) NULL,
	[公示告示日] [varchar](1000) NULL,
	[投票日] [varchar](1000) NULL,
	[名簿登録基準日] [varchar](1000) NULL,
	[住民基本台帳登録処理年月日] [varchar](1000) NULL,
	[移替停止日] [varchar](1000) NULL,
	[期日前投票開始年月日] [varchar](1000) NULL,
	[不在者投票交付開始年月日] [varchar](1000) NULL,
	[不在者投票交付終了年月日] [varchar](1000) NULL,
	[郵便等投票請求期限] [varchar](1000) NULL,
	[在外選挙交付開始年月日] [varchar](1000) NULL,
	[不在者投票受理開始年月日] [varchar](1000) NULL,
	[住民投票_署名簿審査日] [varchar](1000) NULL,
	[削除フラグ] [varchar](1000) NULL,
	[操作者ID] [varchar](1000) NULL,
	[操作年月日] [varchar](1000) NULL,
	[操作時刻] [varchar](1000) NULL,
	[rownum] [int] IDENTITY(1,1) NOT NULL
) ON [PRIMARY]
